#include <inttypes.h>
#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <time.h>

#include <sys/ipc.h>
#include <sys/shm.h>


#define SHM_KEY 0xF
#define MAX 10


typedef struct {

    /* pid des Prozesses, der als naechstes
       in die Critical Section moechte */
    int turn;
    /* interested[pid] bleibt auf 1,
       bis der Prozess aus der Critical Section
       wieder hinaus ist. */
    int interested[2];

} controldata_t;

typedef struct {

    int balance;

} userdata_t;


typedef struct {

    controldata_t c;
    userdata_t u;

} my_global_data_t;
